4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDistInno

Classes: BDistInno |  |  |  | Globals: ISCC_TEMPLATE, PY_SOURCE_EXTS, m, s, t

## Classes

class BDistInno(distutils.cmd.Command)

  ### Methods

  build_iss_file(self)
    Generate the text of an InnoSetup iss file and return it as a list of strings (one per line).
  finalize_options(self)
    Overrides: finalize_options from class Command
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['keep-temp']
  command_name = 'bdist_inno'
  description = 'create an executable installer for MS Windows'
  user_options = [('bdist-dir=', None, 'temporary directory for creating the distribution'), ('keep-temp', 'k', 'keep the pseudo-installation tree around after creating the distribution archive'), ('dist-dir=', 'd', 'directory to put final built distributions in')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

ISCC_TEMPLATE = '\n[Setup]\nOutputDir=%(output-dir)s\nOutputBaseFile... end\n Result := True;\nend; { NextButtonClick }\n'
PY_SOURCE_EXTS = ['.py']
m = 'rb'
s = '.pyc'
t = 2